﻿#language: ru

@quality_control

Функционал: 03_quality_control. Запуск обработки Мониторинг выполнения лаб.анализов по номенклатуре

Сценарий: 03_quality_control. Запуск обработки Мониторинг выполнения лаб.анализов по номенклатуре
	Дано Я подключаюсь под "qual_Лаборант"
	И В командном интерфейсе я выбираю 'Производство' 'Мониторинг выполнения лабораторных анализов'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |
		| 'показатели МДЖ МДБ' | 'Смесь 50%'    |
	И я нажимаю на кнопку 'Посмотреть историю показателей...'
	Тогда открылось окно 'История показателя'
	И я нажимаю на кнопку 'ОбновитьДиаграмму'
	И Я закрываю окно 'История показателя'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |
		| 'показатели МДЖ МДБ' | 'Смесь 50%'    |
	И я нажимаю на кнопку 'Заполнить показатели...'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И     элемент формы с именем "ВидАнализа" стал равен 'показатели МДЖ МДБ'
	И     элемент формы с именем "Номенклатура" стал равен 'Смесь 50%'
	И     элемент формы с именем "Серия" стал равен '1 до 01.11.2018 0:00:00'
	И     элемент формы с именем "ПериодическийАнализЗавершен" стал равен 'Нет'
	И я активизирую окно 'Заявки на анализы номенклатуры'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' | 'Серия'                   | 'Состояние' |
		| 'показатели МДЖ МДБ' | 'Смесь 45%'    | '4 до 01.11.2018 0:00:00' | 'Заявка'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И     элемент формы с именем "ВидАнализа" стал равен 'показатели МДЖ МДБ'
	И     элемент формы с именем "Номенклатура" стал равен 'Смесь 45%'
	И     элемент формы с именем "Серия" стал равен '4 до 01.11.2018 0:00:00'
	И     элемент формы с именем "ПериодическийАнализЗавершен" стал равен 'Нет'
	И Я закрываю окно 'Анализы номенклатуры (создание)'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И я активизирую окно 'Анализы номенклатуры (создание)'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' |
		| 'Число дробное в диапазоне' | 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '1,500'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'N' | 'Вид результата анализа'    | 'Показатель' |
		| '2' | 'Число дробное в диапазоне' | 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,800'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |
		| 'показатели МДЖ МДБ' | 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' |
		| 'Число дробное в диапазоне' | 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,500'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' |
		| 'Число дробное в диапазоне' | 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,800'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И я разворачиваю группу с именем "Фильтры"
	И в таблице "СписокКомпоновщикНастроекПользовательскиеНастройки" я перехожу к строке:
		| 'Вид сравнения' | 'Значение' | 'Использование' | 'Настройка' |
		| 'Равно'         | 'Заявка'   | 'Да'            | 'Состояние' |
	И в таблице "СписокКомпоновщикНастроекПользовательскиеНастройки" из выпадающего списка с именем "СписокКомпоновщикНастроекПользовательскиеНастройкиЗначение" я выбираю точное значение 'Выполнены'
	И в таблице "Список" я перехожу к строке:
		| 'Номенклатура' |
		| 'показатели МДЖ МДБ'    |
	И в таблице "Список" я разворачиваю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |  'Состояние' |
		| 'показатели МДЖ МДБ' | 'Смесь 45%'    |  'Выполнены' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализы номенклатуры 000*'
	И Я закрываю окно 'Анализы номенклатуры 000*'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "СписокКомпоновщикНастроекПользовательскиеНастройки" я перехожу к строке:
		| 'Вид сравнения' | 'Значение' | 'Использование' | 'Настройка' |
		| 'Равно'         | 'Выполнены'   | 'Да'            | 'Состояние' |
	И в таблице "СписокКомпоновщикНастроекПользовательскиеНастройки" из выпадающего списка с именем "СписокКомпоновщикНастроекПользовательскиеНастройкиЗначение" я выбираю точное значение 'Заявка'
	И я сворачиваю группу с именем "Фильтры"
	И Я закрываю окно 'Заявки на анализы номенклатуры'

Сценарий: 03_quality_control. Запуск обработки Мониторинг выполнения лаб.анализов по складам
	И В командном интерфейсе я выбираю 'Производство' 'Мониторинг выполнения лабораторных анализов'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И я перехожу к закладке "По складам"
	И в таблице "СписокПоказателейСкладов" я перехожу к строке:
		| 'Вид показателя'  | 'Склад' 			|
		| 'Солилка' 		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем "КомандаРегистрацияПоказателейПоСкладам"
	Тогда открылось окно 'Регистрация показателей по складам (создание)'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'Температура'        |
	И в таблице "Показатели" я активизирую поле "Значение показателя"
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '1,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 	    |
		| 'Номер пресса'    |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение '2'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Регистрация показателей по складам (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на регистрацию показателей складов'
	И я разворачиваю группу с именем "ГруппаФильтрыСклады"
	И в таблице "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройки" я перехожу к строке:
		| 'Вид сравнения' | 'Значение' | 'Использование' | 'Настройка' |
		| 'Равно'         | 'Заявка'   | 'Да'            | 'Состояние' |
	И в таблице "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройки" из выпадающего списка с именем "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройкиЗначение" я выбираю точное значение 'Выполнены'
	И в таблице "СписокПоказателейСкладов" я перехожу к строке:
		| 'Дата заявки' |
		| 'Солилка'     |
	И в таблице "СписокПоказателейСкладов" я разворачиваю текущую строку
	И в таблице "СписокПоказателейСкладов" я перехожу к строке:
		| 'Вид показателя' |  'Склад'           | 'Состояние' |
		| 'Солилка'        |  'Бассейн соления' | 'Выполнены' |
	И в таблице "СписокПоказателейСкладов" я выбираю текущую строку
	Тогда открылось окно 'Регистрация показателей по складам 0000-*'
	И Я закрываю окно 'Регистрация показателей по складам 0000-*'
	Тогда открылось окно 'Заявки на регистрацию показателей складов'
	И в таблице "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройки" я перехожу к строке:
		| 'Вид сравнения' | 'Значение' | 'Использование' | 'Настройка' |
		| 'Равно'         | 'Выполнены'   | 'Да'            | 'Состояние' |
	И в таблице "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройки" из выпадающего списка с именем "СписокПоказателейСкладовКомпоновщикНастроекПользовательскиеНастройкиЗначение" я выбираю точное значение 'Заявка'
	И я сворачиваю группу с именем "ГруппаФильтрыСклады"
	И Я закрываю окно 'Заявки на регистрацию показателей складов'